Skip to main content
POST
/
v1
/
outcomes
Report a loan outcome
curl --request POST \
  --url https://api.swippee.com/v1/outcomes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "client_reference_id": "loan-1001",
  "detail": "90+ DPD"
}
'
{
  "error_type": "AUTHENTICATION_ERROR",
  "error_code": "INVALID_API_KEY",
  "error_message": "Unknown API key.",
  "display_message": null,
  "request_id": "req_8f3c9b2e4a1d4f7c9e0b1a2c3d4e5f60",
  "documentation_url": "https://docs.swippee.com/concepts/errors#invalid_api_key",
  "suggested_action": "Check your API key in the Authorization header."
}

Authorizations

Authorization
string
header
required

Your API key from the dashboard, sent as Authorization: Bearer swippee_sk_live_....

Body

application/json
client_reference_id
string
required
Example:

"loan-1001"

outcome
enum<string>
required
Available options:
repaid,
delinquent,
defaulted,
written_off
detail
string
Example:

"90+ DPD"

Response

Outcome recorded